<?xml version="1.0" encoding="UTF-8"?>
<mxfile modified="2023-01-13T15:36:30.264Z" host="app.diagrams.net" agent="5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/109.0.0.0 Safari/537.36" etag="dRNEPRCqKHk1SJtCQlLl" version="20.8.5" type="device">
  <diagram id="319b92f5-ce0c-3638-1d72-e7e1d323a6f9" name="Page-1">
    <mxGraphModel dx="2074" dy="1116" grid="0" gridSize="10" guides="1" tooltips="1" connect="1" arrows="1" fold="1" page="1" pageScale="1" pageWidth="850" pageHeight="1100" background="#ffffff" math="0" shadow="0">
      <root>
        <mxCell id="0" />
        <mxCell id="1" parent="0" />
        <UserObject label="" link="https://github.com/firehol/netdata/wiki/netdata-for-IoT" id="5">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528606/807278dc-43b8-11e7-9a0f-3122d40a297b.png;" parent="1" vertex="1">
            <mxGeometry x="1154" y="2050" width="82" height="86" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/messagebird" id="6">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528607/80773520-43b8-11e7-8010-5219c75fbe9b.png;" parent="1" vertex="1">
            <mxGeometry x="576" y="410" width="195" height="38" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="7" value="" style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=none;gradientColor=#CCFFFF;fontSize=13;align=center;dashed=1;perimeterSpacing=0;opacity=30;rounded=0;shadow=0;glass=0;comic=0;strokeWidth=3;dashPattern=1 1;" parent="1" vertex="1">
          <mxGeometry x="70" y="552" width="1171" height="471" as="geometry" />
        </mxCell>
        <UserObject label="&lt;font&gt;&lt;b&gt;APM&lt;br&gt;Application Metrics&lt;/b&gt;&lt;/font&gt;&lt;div&gt;statsd protocol&lt;/div&gt;&lt;div&gt;(TCP or UDP)&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/statsd.plugin" id="9">
          <mxCell style="ellipse;shape=cloud;whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;gradientColor=#CCFFFF;" parent="1" vertex="1">
            <mxGeometry x="1022" y="1032" width="208" height="158" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;b&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;Streaming&lt;/font&gt;&lt;/b&gt;&lt;div&gt;Database Replication&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/streaming" id="10">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="1034" y="690" width="202" height="97" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;fping.plugin&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;network latency&lt;/span&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;monitoring&lt;/span&gt;&lt;/div&gt;" link="https://learn.netdata.cloud/docs/agent/collectors/fping.plugin" linkTarget="_blank" id="13">
          <mxCell style="whiteSpace=wrap;html=1;fontSize=12;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="484.33349609375" y="1034" width="110" height="60" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;freeipmi.plugin&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;enterprise h/w&lt;/span&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;monitoring&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/freeipmi.plugin" id="14">
          <mxCell style="whiteSpace=wrap;html=1;fontSize=12;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="163" y="1034" width="110" height="60" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;span&gt;To another&lt;/span&gt;&lt;div&gt;netdata&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/streaming#options-for-the-sending-node" id="15">
          <mxCell style="ellipse;shape=cloud;whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="1090" y="557" width="150" height="120" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="21" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="113" y="1147" width="110" height="60" as="geometry" />
        </mxCell>
        <mxCell id="22" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="103" y="1137" width="110" height="60" as="geometry" />
        </mxCell>
        <mxCell id="23" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="264" y="1137" width="110" height="60" as="geometry" />
        </mxCell>
        <mxCell id="24" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="444" y="1159" width="110" height="60" as="geometry" />
        </mxCell>
        <mxCell id="25" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="434" y="1149" width="110" height="60" as="geometry" />
        </mxCell>
        <mxCell id="26" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="424" y="1139" width="110" height="60" as="geometry" />
        </mxCell>
        <mxCell id="27" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="414" y="1129" width="110" height="60" as="geometry" />
        </mxCell>
        <mxCell id="28" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="95" y="1125" width="110" height="60" as="geometry" />
        </mxCell>
        <mxCell id="29" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="254" y="1126" width="110" height="60" as="geometry" />
        </mxCell>
        <mxCell id="30" value="" style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
          <mxGeometry x="674" y="887" width="557" height="130" as="geometry" />
        </mxCell>
        <UserObject label="&lt;font style=&quot;font-size: 20px&quot;&gt;metrics database&lt;/font&gt;&lt;div&gt;&lt;span style=&quot;font-weight: normal&quot;&gt;&lt;font style=&quot;font-size: 15px&quot;&gt;(organized in hosts, charts and dimensions)&lt;/font&gt;&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/database#netdata-database" id="31">
          <mxCell style="whiteSpace=wrap;html=1;fontSize=18;fontStyle=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="254" y="690" width="770" height="93" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;div&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;&lt;b&gt;plugins.d&lt;/b&gt;&lt;/font&gt;&lt;/div&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;&lt;b&gt;external plugins API&lt;/b&gt;&lt;/font&gt;&lt;div&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;text format, over pipes&lt;/font&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/plugins.d" id="32">
          <mxCell style="whiteSpace=wrap;html=1;fontSize=16;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="74" y="887" width="580" height="130" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;font style=&quot;font-size: 18px&quot;&gt;&lt;b&gt;internal&amp;nbsp;&lt;/b&gt;&lt;b&gt;data collection API&lt;/b&gt;&lt;/font&gt;&lt;div&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;(with add-only access to the database)&lt;/font&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors#internal-plugins-api" id="33">
          <mxCell style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="74" y="796" width="1160" height="77" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;font style=&quot;font-size: 16px&quot;&gt;&lt;b&gt;Linux&lt;/b&gt;&lt;/font&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;data collection&lt;/span&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;(mainly /proc and /sys)&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/proc.plugin#procplugin" id="34">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;" parent="1" vertex="1">
            <mxGeometry x="684" y="897" width="177" height="60" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;FreeBSD&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;data collection&lt;/span&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;(mainly sysctl)&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/freebsd.plugin" id="35">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;" parent="1" vertex="1">
            <mxGeometry x="871" y="897" width="110" height="60" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;MacOS&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;data collection&lt;/span&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;(mainly sysctl)&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/macos.plugin" id="36">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;" parent="1" vertex="1">
            <mxGeometry x="991" y="897" width="110" height="60" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="37" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#fff2cc;strokeColor=#d6b656;gradientColor=#ffd966;" parent="1" vertex="1">
          <mxGeometry x="369" y="863" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="38" value="&lt;div style=&quot;text-align: center&quot;&gt;&lt;span&gt;&lt;b&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;netdata internal plugins&lt;/font&gt;&lt;/b&gt;&lt;/span&gt;&lt;/div&gt;&lt;div style=&quot;text-align: left&quot;&gt;(running as threads inside netdata)&lt;/div&gt;" style="text;html=1;resizable=0;points=[];autosize=1;align=center;verticalAlign=top;spacingTop=-4;fontSize=14;" parent="1" vertex="1">
          <mxGeometry x="883" y="967" width="230" height="40" as="geometry" />
        </mxCell>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 20px&quot;&gt;statsd&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;(udp/tcp)&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/statsd.plugin" id="39">
          <mxCell style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="1111" y="897" width="110" height="110" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;b&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;charts.d&lt;/font&gt;&lt;/b&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;(bash plugins)&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/charts.d.plugin" id="40">
          <mxCell style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="85" y="1115" width="110" height="60" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;go.d&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;(go plugins)&lt;/span&gt;&lt;/div&gt;" link="https://learn.netdata.cloud/docs/agent/collectors/go.d.plugin" linkTarget="_blank" id="41">
          <mxCell style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="244" y="1116" width="110" height="60" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;python.d&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;(python plugins)&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/python.d.plugin" id="42">
          <mxCell style="whiteSpace=wrap;html=1;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="404" y="1119" width="110" height="60" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;b&gt;remote netdata servers&lt;/b&gt;&lt;div&gt;database replication, streaming metrics in realtime&lt;br&gt;over TCP&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/streaming" id="43">
          <mxCell style="whiteSpace=wrap;html=1;fontSize=16;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="706" y="1200" width="420" height="90" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="44" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.jumpInArrow;dy=15.79;dx=26.57;arrowHead=55;fontSize=16;direction=north;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="600" y="1007" width="130" height="223" as="geometry" />
        </mxCell>
        <mxCell id="45" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.jumpInArrow;dy=15.21;dx=32.57;arrowHead=55;fontSize=16;direction=north;flipH=1;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="1150" y="997" width="75" height="93" as="geometry" />
        </mxCell>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;cgroups&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/cgroups.plugin#cgroupsplugin" id="46">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;" parent="1" vertex="1">
            <mxGeometry x="774" y="957" width="87" height="53" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="47" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#fff2cc;strokeColor=#d6b656;gradientColor=#ffd966;" parent="1" vertex="1">
          <mxGeometry x="739" y="863" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="48" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#fff2cc;strokeColor=#d6b656;gradientColor=#ffd966;" parent="1" vertex="1">
          <mxGeometry x="891" y="863" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="49" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#fff2cc;strokeColor=#d6b656;gradientColor=#ffd966;" parent="1" vertex="1">
          <mxGeometry x="1011" y="863" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="54" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="504" y="1007" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="55" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=8.29;fillColor=#d5e8d4;strokeColor=#82b366;gradientColor=#97d077;" parent="1" vertex="1">
          <mxGeometry x="264" y="1007" width="70" height="120" as="geometry" />
        </mxCell>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;apps.plugin&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;process tree&lt;/span&gt;&lt;/div&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;monitoring&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/apps.plugin" id="56">
          <mxCell style="whiteSpace=wrap;html=1;fontSize=12;fillColor=#FFFFFF;strokeColor=#59DE9C;" parent="1" vertex="1">
            <mxGeometry x="324" y="1034" width="110" height="60" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="57" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="344" y="1007" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="58" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="424" y="1007" width="70" height="120" as="geometry" />
        </mxCell>
        <UserObject label="&lt;span style=&quot;font-size: 14px&quot;&gt;&lt;b&gt;QoS&lt;/b&gt;&lt;/span&gt;&lt;div&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;(tc classes)&lt;/span&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/tc.plugin#tcplugin" id="59">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;" parent="1" vertex="1">
            <mxGeometry x="684" y="957" width="80" height="53" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="60" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=5.29;fillColor=#d5e8d4;strokeColor=#82b366;gradientColor=#97d077;" parent="1" vertex="1">
          <mxGeometry x="183" y="1007" width="70" height="30" as="geometry" />
        </mxCell>
        <UserObject label="&lt;b&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;Exporting&lt;/font&gt;&lt;/b&gt;&lt;div&gt;Metrics Archiving&lt;/div&gt;" link="https://learn.netdata.cloud/docs/agent/exporting" linkTarget="_blank" id="73">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="870" y="607" width="149.75" height="70" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 20px&quot;&gt;Alarms&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;Health Monitoring" link="https://learn.netdata.cloud/docs/agent/health" linkTarget="_blank" id="74">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="650" y="607" width="211" height="70" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;b&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;HTTP API&lt;/font&gt;&lt;/b&gt;" link="https://github.com/netdata/netdata/tree/master/web/api" id="76">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="74" y="557" width="800" height="40" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;b&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;&amp;nbsp; &amp;nbsp; &amp;nbsp; Notifications&lt;/font&gt;&lt;/b&gt;" link="https://github.com/netdata/netdata/tree/master/health/notifications" id="77">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="675" y="470" width="163" height="77" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://learn.netdata.cloud/docs/agent/exporting/graphite" linkTarget="_blank" id="79">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26529200/52a30280-43c4-11e7-85c6-b88321a49d61.png;" parent="1" vertex="1">
            <mxGeometry x="900" y="307" width="179" height="47" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://learn.netdata.cloud/docs/agent/exporting/opentsdb" linkTarget="_blank" id="80">
          <mxCell style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26528624/814fd1aa-43b8-11e7-9125-5e5c3c677aef.png;" parent="1" vertex="1">
            <mxGeometry x="1000" y="423" width="198" height="41" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://learn.netdata.cloud/docs/agent/exporting" linkTarget="_blank" id="81">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528632/81c29fdc-43b8-11e7-8bfe-fc832d11b72d.png;" parent="1" vertex="1">
            <mxGeometry x="1126" y="360" width="109" height="50" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://learn.netdata.cloud/docs/agent/exporting" linkTarget="_blank" id="85">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528636/81e18712-43b8-11e7-94b9-37ea1cf6c3a6.png;" parent="1" vertex="1">
            <mxGeometry x="1106" y="300" width="114" height="40" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="netdata&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 16px&quot;&gt;registry&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;my-netdata menu&lt;/font&gt;&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/registry#netdata-registry" id="89">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="74" y="607" width="170" height="176" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="90" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.twoWayArrow;dy=0.52;dx=21.1;strokeColor=#FFFFFF;fillColor=#59DE9C;fontSize=14;direction=south;" parent="1" vertex="1">
          <mxGeometry x="133" y="577" width="60" height="50" as="geometry" />
        </mxCell>
        <mxCell id="93" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=8.29;fillColor=#d5e8d4;strokeColor=#82b366;gradientColor=#97d077;" parent="1" vertex="1">
          <mxGeometry x="103" y="1006" width="70" height="120" as="geometry" />
        </mxCell>
        <mxCell id="94" value="" style="shape=curlyBracket;whiteSpace=wrap;html=1;rounded=1;strokeColor=#59DE9C;fillColor=#ffffff;gradientColor=#FFF2F9;fontSize=14;align=center;direction=south;" parent="1" vertex="1">
          <mxGeometry x="85" y="1293" width="1159" height="20" as="geometry" />
        </mxCell>
        <mxCell id="97" value="headless" style="text;html=1;resizable=0;points=[];autosize=1;align=center;verticalAlign=top;spacingTop=-4;fontSize=14;" parent="1" vertex="1">
          <mxGeometry x="1106" y="802.5" width="70" height="20" as="geometry" />
        </mxCell>
        <mxCell id="98" value="store &amp;amp;&lt;div&gt;forward&lt;/div&gt;" style="text;html=1;resizable=0;points=[];autosize=1;align=center;verticalAlign=top;spacingTop=-4;fontSize=14;" parent="1" vertex="1">
          <mxGeometry x="953" y="721" width="60" height="30" as="geometry" />
        </mxCell>
        <UserObject label="&lt;span&gt;from another&lt;/span&gt;&lt;div&gt;netdata&lt;/div&gt;" link="https://github.com/netdata/netdata/tree/master/streaming#options-for-the-receiving-node" id="99">
          <mxCell style="ellipse;shape=cloud;whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="1083" y="1184" width="150" height="120" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="100" value="" style="curved=1;endArrow=block;html=1;fontSize=14;entryX=0.847;entryY=0.256;entryPerimeter=0;startArrow=oval;startFill=1;endFill=1;dashed=1;strokeWidth=3;fillColor=#f5f5f5;strokeColor=#59DE9C;dashPattern=1 1;endSize=8;exitX=0.8;exitY=0.8;exitPerimeter=0;" parent="1" source="15" target="99" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="1239" y="641" as="sourcePoint" />
            <mxPoint x="1364" y="727" as="targetPoint" />
            <Array as="points">
              <mxPoint x="1264" y="660" />
              <mxPoint x="1254" y="900" />
              <mxPoint x="1254" y="1110" />
            </Array>
          </mxGeometry>
        </mxCell>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/slack" id="101">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26529341/ebcbc5d0-43c6-11e7-9056-df89e0c10e6a.png;" parent="1" vertex="1">
            <mxGeometry x="530" y="302" width="162" height="48" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/pushbullet" id="102">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528627/81813ef2-43b8-11e7-9371-9dfcfb1f27f8.png;" parent="1" vertex="1">
            <mxGeometry x="553" y="363" width="188" height="32" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/discord" id="103">
          <mxCell style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26528628/8195a284-43b8-11e7-8582-e94e53feb1c7.png;" parent="1" vertex="1">
            <mxGeometry x="440" y="227" width="146" height="40" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/pagerduty" id="104">
          <mxCell style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26528630/81a3e33a-43b8-11e7-89a0-53c9d89ef2d6.png;" parent="1" vertex="1">
            <mxGeometry x="500" y="188" width="140" height="26" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/telegram" id="105">
          <mxCell style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26529349/256417f2-43c7-11e7-8036-9aa59efe0605.png;" parent="1" vertex="1">
            <mxGeometry x="452" y="363" width="77" height="83" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/twilio" id="106">
          <mxCell style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26528631/81c0f9b6-43b8-11e7-9088-77d895f50346.png;" parent="1" vertex="1">
            <mxGeometry x="600" y="250" width="134" height="40" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="107" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.jumpInArrow;dy=15;dx=38;arrowHead=55;strokeColor=none;fillColor=#59DE9C;fontSize=14;flipH=1;direction=east;" parent="1" vertex="1">
          <mxGeometry x="710" y="300" width="100" height="190" as="geometry" />
        </mxCell>
        <mxCell id="109" value="" style="shape=image;html=1;verticalAlign=top;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;imageAspect=0;aspect=fixed;image=https://cloud.githubusercontent.com/assets/2662304/26528634/81caae16-43b8-11e7-9c68-45b69b1e92ab.png;strokeColor=#6A9153;fillColor=#CCFFFF;gradientColor=#CCFFFF;fontSize=20;align=center;" parent="1" vertex="1">
          <mxGeometry x="285" y="709" width="48" height="48" as="geometry" />
        </mxCell>
        <mxCell id="110" value="" style="shadow=0;dashed=0;html=1;strokeColor=none;labelPosition=center;verticalLabelPosition=bottom;verticalAlign=top;shape=mxgraph.mscae.cloud.api_management;fillColor=#0079D6;fontSize=20;align=center;" parent="1" vertex="1">
          <mxGeometry x="91" y="562" width="35" height="30" as="geometry" />
        </mxCell>
        <UserObject label="&lt;div style=&quot;text-align: right&quot;&gt;&lt;b&gt;&lt;font style=&quot;font-size: 24px&quot;&gt;netdata&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&lt;div style=&quot;text-align: right&quot;&gt;simple. effective. awesome!&lt;/div&gt;&lt;div style=&quot;text-align: right&quot;&gt;&lt;b&gt;https://netdata.cloud&lt;/b&gt;&lt;/div&gt;&lt;div style=&quot;text-align: right&quot;&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;&lt;br&gt;(C) Copyright 2023&lt;br&gt;&lt;/span&gt;&lt;span style=&quot;font-size: 14px&quot;&gt;Netdata, Inc.&lt;/span&gt;&lt;/div&gt;" link="https://netdata.cloud" id="111">
          <mxCell style="text;html=1;resizable=0;points=[];autosize=1;align=left;verticalAlign=top;spacingTop=-4;fontSize=20;" parent="1" vertex="1">
            <mxGeometry x="994" y="1763.666748046875" width="270" height="160" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="112" value="&lt;font style=&quot;font-size: 26px&quot;&gt;high level feature set and architecture of &lt;b&gt;netdata&lt;/b&gt;&lt;/font&gt;&lt;div&gt;&lt;span&gt;the open-source, real-time, performance and health monitoring&lt;/span&gt;&lt;/div&gt;" style="text;html=1;resizable=0;points=[];autosize=1;align=center;verticalAlign=top;spacingTop=-4;fontSize=20;" parent="1" vertex="1">
          <mxGeometry x="374" y="20.42" width="580" height="50" as="geometry" />
        </mxCell>
        <mxCell id="113" value="" style="endArrow=none;html=1;dashed=1;dashPattern=1 1;strokeColor=#59DE9C;strokeWidth=3;fontSize=20;" parent="1" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="73" y="1754" as="sourcePoint" />
            <mxPoint x="1254" y="1754" as="targetPoint" />
          </mxGeometry>
        </mxCell>
        <mxCell id="114" value="" style="shadow=0;dashed=0;html=1;strokeColor=none;fillColor=#0079D6;labelPosition=center;verticalLabelPosition=bottom;verticalAlign=top;shape=mxgraph.azure.health_monitoring;fontSize=20;align=center;" parent="1" vertex="1">
          <mxGeometry x="659" y="630" width="35" height="30" as="geometry" />
        </mxCell>
        <mxCell id="115" value="" style="shape=image;html=1;verticalAlign=top;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;imageAspect=0;aspect=fixed;image=https://cloud.githubusercontent.com/assets/2662304/26528633/81c95b24-43b8-11e7-808d-651a09e9ecca.png;strokeColor=#6A9153;fillColor=#CCFFFF;gradientColor=#CCFFFF;fontSize=20;align=center;" parent="1" vertex="1">
          <mxGeometry x="685" y="490" width="31" height="29" as="geometry" />
        </mxCell>
        <mxCell id="116" value="" style="shadow=0;dashed=0;html=1;strokeColor=none;labelPosition=center;verticalLabelPosition=bottom;verticalAlign=top;shape=mxgraph.office.users.users;fillColor=#2072B8;fontSize=20;align=center;" parent="1" vertex="1">
          <mxGeometry x="85" y="735" width="46" height="41" as="geometry" />
        </mxCell>
        <mxCell id="117" value="" style="shadow=0;dashed=0;html=1;strokeColor=none;fillColor=#505050;labelPosition=center;verticalLabelPosition=bottom;verticalAlign=top;shape=mxgraph.office.servers.server_farm;fillColor=#DA4026;fontSize=20;align=center;" parent="1" vertex="1">
          <mxGeometry x="194" y="737" width="39" height="39" as="geometry" />
        </mxCell>
        <mxCell id="118" value="" style="shape=image;html=1;verticalAlign=top;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;imageAspect=0;aspect=fixed;image=https://cloud.githubusercontent.com/assets/2662304/26528635/81d4c720-43b8-11e7-8578-00c9ed60c219.png;strokeColor=#6A9153;fillColor=#CCFFFF;gradientColor=#CCFFFF;fontSize=20;align=center;" parent="1" vertex="1">
          <mxGeometry x="1054" y="704" width="35" height="35" as="geometry" />
        </mxCell>
        <mxCell id="119" value="" style="shape=image;html=1;verticalAlign=top;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;imageAspect=0;aspect=fixed;image=https://cloud.githubusercontent.com/assets/2662304/26528645/8275abfe-43b8-11e7-9d21-306ab844f7bb.png;strokeColor=#6A9153;fillColor=#CCFFFF;gradientColor=#CCFFFF;fontSize=20;align=center;" parent="1" vertex="1">
          <mxGeometry x="127" y="933" width="61" height="39" as="geometry" />
        </mxCell>
        <mxCell id="121" value="&lt;div&gt;netdata is a &lt;b&gt;monitoring agent&lt;/b&gt;: you install it on all your systems:&lt;/div&gt;&lt;div&gt;&amp;nbsp;- supports &lt;b&gt;auto-detection&lt;/b&gt;&amp;nbsp;and &lt;b&gt;zero configuration&lt;/b&gt;&amp;nbsp;for most applications and systems&lt;/div&gt;&amp;nbsp;- is &lt;b&gt;real-time&lt;/b&gt;: every metric is on your dashboard in less than 1-second (collection to visualization)&lt;div&gt;&amp;nbsp;- is &lt;b&gt;fast&lt;/b&gt;: for a few thousand metrics per second, it needs &amp;lt; 1% CPU of a single core&lt;/div&gt;&lt;div&gt;&amp;nbsp;- and&amp;nbsp;&lt;b&gt;efficient&lt;/b&gt;: it needs a few MB of RAM and no disk I/O at all while it runs&lt;/div&gt;&lt;div&gt;&amp;nbsp;- also, it is&amp;nbsp;&lt;b&gt;embeddable&lt;/b&gt;, &lt;b&gt;extensible&lt;/b&gt;, and&amp;nbsp;&lt;b&gt;open-source&lt;/b&gt;&amp;nbsp;(GPL v3+)&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;...and netdata runs everywhere:&lt;/div&gt;" style="text;html=1;resizable=0;points=[];autosize=1;align=left;verticalAlign=top;spacingTop=-4;fontSize=18;" parent="1" vertex="1">
          <mxGeometry x="73" y="1774" width="800" height="170" as="geometry" />
        </mxCell>
        <mxCell id="133" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528641/82468914-43b8-11e7-8018-af01bd67cba2.png;" parent="1" vertex="1">
          <mxGeometry x="357" y="1960" width="92" height="73" as="geometry" />
        </mxCell>
        <mxCell id="134" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528642/82562b62-43b8-11e7-85f5-31c7f70e057b.png;" parent="1" vertex="1">
          <mxGeometry x="464" y="1965" width="76" height="69" as="geometry" />
        </mxCell>
        <mxCell id="135" value="" style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26528647/82db5e7c-43b8-11e7-837e-b2de7adbb878.png;" parent="1" vertex="1">
          <mxGeometry x="556" y="1959" width="89" height="76" as="geometry" />
        </mxCell>
        <mxCell id="137" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26529330/b4c0293c-43c6-11e7-9751-b66fad47604a.png;" parent="1" vertex="1">
          <mxGeometry x="188" y="2052" width="93" height="78" as="geometry" />
        </mxCell>
        <mxCell id="138" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528649/82f60f6a-43b8-11e7-8d7e-aab838249843.png;" parent="1" vertex="1">
          <mxGeometry x="871" y="1973" width="95" height="60" as="geometry" />
        </mxCell>
        <mxCell id="139" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528650/8311b94a-43b8-11e7-8475-6096e0ab7025.png;" parent="1" vertex="1">
          <mxGeometry x="994" y="1973" width="119" height="55" as="geometry" />
        </mxCell>
        <mxCell id="140" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528651/832e5f1e-43b8-11e7-8ba2-19ce72f932ba.png;" parent="1" vertex="1">
          <mxGeometry x="80" y="1963" width="94" height="70" as="geometry" />
        </mxCell>
        <mxCell id="141" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528648/82de5cbc-43b8-11e7-841f-a226ba8e5c59.png;" parent="1" vertex="1">
          <mxGeometry x="195" y="1958.5" width="60" height="78" as="geometry" />
        </mxCell>
        <mxCell id="142" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528654/8395aee4-43b8-11e7-9b0b-87fe2ac5811c.png;" parent="1" vertex="1">
          <mxGeometry x="659" y="1958" width="93" height="80" as="geometry" />
        </mxCell>
        <mxCell id="143" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528655/83a954d0-43b8-11e7-8551-fbce651f9d4f.png;" parent="1" vertex="1">
          <mxGeometry x="761.5" y="1955" width="87" height="79" as="geometry" />
        </mxCell>
        <mxCell id="144" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528656/83aef5a2-43b8-11e7-8cbc-543e0b739f1e.png;" parent="1" vertex="1">
          <mxGeometry x="1010" y="2100" width="136" height="34" as="geometry" />
        </mxCell>
        <UserObject label="" link="https://github.com/firehol/netdata/wiki/netdata-for-IoT" id="145">
          <mxCell style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26528652/835acc70-43b8-11e7-9b04-0e355fe46b45.png;" parent="1" vertex="1">
            <mxGeometry x="1003.5" y="2053" width="135" height="31" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="147" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528658/83cc4c60-43b8-11e7-9260-ed6d5f03b1f4.png;" parent="1" vertex="1">
          <mxGeometry x="602.5" y="2054" width="63" height="83" as="geometry" />
        </mxCell>
        <mxCell id="148" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528657/83b9bece-43b8-11e7-95cd-17fa93d37a46.png;" parent="1" vertex="1">
          <mxGeometry x="952.5" y="1053.5" width="72" height="66" as="geometry" />
        </mxCell>
        <mxCell id="149" value="" style="endArrow=block;dashed=1;html=1;dashPattern=1 1;fontFamily=Helvetica;fontSize=13;fontColor=#000000;align=center;strokeColor=#59DE9C;strokeWidth=3;startArrow=none;startFill=0;endFill=1;exitX=0.5;exitY=0;" parent="1" source="148" target="35" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="884" y="1057" as="sourcePoint" />
            <mxPoint x="934" y="1007" as="targetPoint" />
            <Array as="points">
              <mxPoint x="884" y="1000" />
            </Array>
          </mxGeometry>
        </mxCell>
        <mxCell id="150" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#59DE9C;strokeWidth=3;fontSize=13;entryX=0.5;entryY=0;exitX=1;exitY=0.75;startArrow=block;startFill=1;" parent="1" source="34" target="148" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="794" y="1147" as="sourcePoint" />
            <mxPoint x="844" y="1097" as="targetPoint" />
            <Array as="points">
              <mxPoint x="874" y="1000" />
            </Array>
          </mxGeometry>
        </mxCell>
        <mxCell id="152" value="" style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26528664/84510b62-43b8-11e7-990b-6bc09e5ea649.png;" parent="1" vertex="1">
          <mxGeometry x="394.5" y="2061" width="99" height="71" as="geometry" />
        </mxCell>
        <mxCell id="153" value="" style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26529313/70be8382-43c6-11e7-943b-2c0ec46cc782.png;" parent="1" vertex="1">
          <mxGeometry x="81" y="2080" width="95" height="52" as="geometry" />
        </mxCell>
        <mxCell id="154" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528662/84277932-43b8-11e7-9322-db0e415d9d04.png;" parent="1" vertex="1">
          <mxGeometry x="684.5" y="2053" width="63" height="83" as="geometry" />
        </mxCell>
        <mxCell id="155" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528667/848aff48-43b8-11e7-85ec-1b904e34246e.png;" parent="1" vertex="1">
          <mxGeometry x="499.5" y="2050" width="89" height="91" as="geometry" />
        </mxCell>
        <mxCell id="156" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528660/83f71b8e-43b8-11e7-9240-f443470a9aa9.png;" parent="1" vertex="1">
          <mxGeometry x="299" y="2055" width="86" height="77" as="geometry" />
        </mxCell>
        <mxCell id="157" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528661/840ec356-43b8-11e7-8011-f8260539cf2d.png;" parent="1" vertex="1">
          <mxGeometry x="786" y="1896" width="160" height="35" as="geometry" />
        </mxCell>
        <mxCell id="158" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528663/842f7c18-43b8-11e7-9ff1-a76f1cefd321.png;" parent="1" vertex="1">
          <mxGeometry x="970" y="1896" width="132" height="37" as="geometry" />
        </mxCell>
        <mxCell id="159" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528666/845b707a-43b8-11e7-9260-6594db9f8b12.png;" parent="1" vertex="1">
          <mxGeometry x="673.5" y="1871" width="101" height="76" as="geometry" />
        </mxCell>
        <mxCell id="160" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528665/845b0fcc-43b8-11e7-8955-89043524e863.png;" parent="1" vertex="1">
          <mxGeometry x="759" y="2075" width="88" height="60" as="geometry" />
        </mxCell>
        <mxCell id="161" value="" style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26529042/23528fa8-43c1-11e7-94bd-d01e7ded928d.png;" parent="1" vertex="1">
          <mxGeometry x="1134" y="1991" width="116" height="40" as="geometry" />
        </mxCell>
        <UserObject label="&lt;font style=&quot;font-size: 20px&quot;&gt;system&lt;u&gt;d&lt;/u&gt;&lt;/font&gt;" link="https://github.com/netdata/netdata/tree/master/collectors/cgroups.plugin#monitoring-systemd-services" id="162">
          <mxCell style="text;html=1;resizable=0;points=[];autosize=1;align=left;verticalAlign=top;spacingTop=-4;fontSize=13;fontStyle=1" parent="1" vertex="1">
            <mxGeometry x="797" y="1145" width="90" height="20" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="163" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#C7D1E0;strokeWidth=3;fontSize=13;entryX=0.421;entryY=0.191;startArrow=block;startFill=1;entryPerimeter=0;" parent="1" source="46" target="162" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="871" y="952" as="sourcePoint" />
            <mxPoint x="909" y="1059" as="targetPoint" />
          </mxGeometry>
        </mxCell>
        <mxCell id="164" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26529330/b4c0293c-43c6-11e7-9751-b66fad47604a.png;" parent="1" vertex="1">
          <mxGeometry x="688" y="1083.5" width="55" height="46" as="geometry" />
        </mxCell>
        <mxCell id="165" value="" style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26528664/84510b62-43b8-11e7-990b-6bc09e5ea649.png;" parent="1" vertex="1">
          <mxGeometry x="776" y="1089.5" width="47" height="34" as="geometry" />
        </mxCell>
        <mxCell id="166" value="" style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://cloud.githubusercontent.com/assets/2662304/26529313/70be8382-43c6-11e7-943b-2c0ec46cc782.png;" parent="1" vertex="1">
          <mxGeometry x="662.5" y="1039.5" width="72" height="39" as="geometry" />
        </mxCell>
        <mxCell id="167" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#C7D1E0;strokeWidth=3;fontSize=13;entryX=0.5;entryY=0;startArrow=block;startFill=1;" parent="1" source="46" target="165" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="849" y="1020" as="sourcePoint" />
            <mxPoint x="850" y="1112" as="targetPoint" />
          </mxGeometry>
        </mxCell>
        <mxCell id="168" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#59DE9C;strokeWidth=3;fontSize=13;entryX=0.75;entryY=0;startArrow=block;startFill=1;" parent="1" source="46" target="164" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="828" y="1020" as="sourcePoint" />
            <mxPoint x="818" y="1076" as="targetPoint" />
          </mxGeometry>
        </mxCell>
        <mxCell id="169" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#59DE9C;strokeWidth=3;fontSize=13;entryX=0.75;entryY=0;startArrow=block;startFill=1;" parent="1" source="46" target="166" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="764" y="1037" as="sourcePoint" />
            <mxPoint x="777" y="1087" as="targetPoint" />
          </mxGeometry>
        </mxCell>
        <mxCell id="170" value="&lt;font color=&quot;#e6d0de&quot;&gt;netdata daemon&lt;/font&gt;" style="text;html=1;resizable=0;points=[];autosize=1;align=left;verticalAlign=top;spacingTop=-4;fontSize=13;fontColor=#59DE9C;rotation=90;fontStyle=1" parent="1" vertex="1">
          <mxGeometry x="1195" y="593" width="118" height="22" as="geometry" />
        </mxCell>
        <mxCell id="174" value="" style="shape=curlyBracket;whiteSpace=wrap;html=1;rounded=1;strokeColor=#6A9153;fillColor=#ffffff;gradientColor=#FFF2F9;fontSize=14;align=center;direction=south;" parent="1" vertex="1">
          <mxGeometry x="877" y="265" width="377" height="20" as="geometry" />
        </mxCell>
        <UserObject label="standard dashboard" link="http://london.my-netdata.io/" linkTarget="_blank" id="176">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528929/cbe844ee-43be-11e7-8e1b-7899d142c1a5.png;fontSize=14;" parent="1" vertex="1">
            <mxGeometry x="75" y="315" width="121" height="107" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;span style=&quot;font-size: 16px&quot;&gt;&lt;b&gt;dashboard.js&lt;/b&gt;&lt;/span&gt;&lt;div&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;real-time netdata charts&lt;/font&gt;&lt;/div&gt;&lt;div&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;on any web page&lt;/font&gt;&lt;/div&gt;" id="177">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#666666;fillColor=#f5f5f5;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="75" y="470" width="249" height="74" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="custom dashboards" link="https://learn.netdata.cloud/docs/agent/web/gui/custom" linkTarget="_blank" id="179">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528933/e9bd18b4-43be-11e7-9e3c-725342bbcdca.png;fontSize=14;" parent="1" vertex="1">
            <mxGeometry x="204" y="315" width="121" height="108" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="180" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#fff2cc;strokeColor=#d6b656;" parent="1" vertex="1">
          <mxGeometry x="100" y="446" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="181" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#fff2cc;strokeColor=#d6b656;" parent="1" vertex="1">
          <mxGeometry x="229" y="446" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="182" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="357" y="533" width="70" height="30" as="geometry" />
        </mxCell>
        <UserObject label="SVG badges from metrics" link="https://github.com/netdata/netdata/tree/master/web/api/badges" id="183">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528965/8993b082-43bf-11e7-8d5b-3eea117bbd55.png;fontSize=14;spacingTop=-3;" parent="1" vertex="1">
            <mxGeometry x="469" y="485" width="161" height="25" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="184" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="512" y="534" width="70" height="30" as="geometry" />
        </mxCell>
        <UserObject label="use metrics&#xa;in your scripts" link="https://github.com/netdata/netdata/tree/master/web/api/exporters/shell" id="187">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528672/84d2eda8-43b8-11e7-8385-6ad78be4d7cc.png;fontSize=14;spacing=2;spacingTop=-14;" parent="1" vertex="1">
            <mxGeometry x="352" y="438" width="77" height="66" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="188" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528673/84d4fc60-43b8-11e7-9512-5db073e72e9f.png;" parent="1" vertex="1">
          <mxGeometry x="283" y="1956" width="58" height="77" as="geometry" />
        </mxCell>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/email" id="189">
          <mxCell style="shape=image;html=1;verticalAlign=top;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;imageAspect=0;aspect=fixed;image=https://cloud.githubusercontent.com/assets/2662304/26528675/84f226d2-43b8-11e7-9de6-6d7c391aaa8d.png;rounded=0;shadow=0;glass=0;dashed=1;dashPattern=1 1;comic=0;strokeColor=#C7D1E0;strokeWidth=3;fillColor=none;gradientColor=#CCFFFF;fontSize=14;fontColor=#E6E6E6;align=center;" parent="1" vertex="1">
            <mxGeometry x="766" y="250" width="56" height="56" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/pushover" id="191">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://cloud.githubusercontent.com/assets/2662304/26528605/80703edc-43b8-11e7-839d-267f613e15b0.png;" parent="1" vertex="1">
            <mxGeometry x="654" y="205" width="134" height="28" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="192" value="" style="shape=image;html=1;verticalAlign=top;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;imageAspect=0;aspect=fixed;image=https://cloud.githubusercontent.com/assets/2662304/26528645/8275abfe-43b8-11e7-9d21-306ab844f7bb.png;strokeColor=#6A9153;fillColor=#CCFFFF;gradientColor=#CCFFFF;fontSize=20;align=center;" parent="1" vertex="1">
          <mxGeometry x="127" y="815" width="61" height="39" as="geometry" />
        </mxCell>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/flock" id="198">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/32355748-512dda64-c039-11e7-8117-bc31a0cf50eb.png;" parent="1" vertex="1">
            <mxGeometry x="370" y="311" width="142" height="50" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/alerta" id="200">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/34533144-9ecf2918-f0c1-11e7-928e-c2654b092303.png;" parent="1" vertex="1">
            <mxGeometry x="420" y="275" width="106" height="27" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="201" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/34533412-c59e2c28-f0c2-11e7-9ae3-8eb392608029.png;" parent="1" vertex="1">
          <mxGeometry x="845" y="1086.5" width="79" height="51" as="geometry" />
        </mxCell>
        <mxCell id="202" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#59DE9C;strokeWidth=3;fontSize=13;exitX=1;exitY=0.75;startArrow=block;startFill=1;entryX=0.662;entryY=0.006;entryPerimeter=0;" parent="1" source="34" target="201" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="871.2857142857142" y="952.1428571428571" as="sourcePoint" />
            <mxPoint x="935.8571428571429" y="1069.2857142857142" as="targetPoint" />
            <Array as="points">
              <mxPoint x="870" y="1020" />
            </Array>
          </mxGeometry>
        </mxCell>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/irc" id="204">
          <mxCell style="shape=image;imageAspect=0;aspect=fixed;verticalLabelPosition=bottom;verticalAlign=top;image=https://user-images.githubusercontent.com/31221999/36795772-8b096efe-1cac-11e8-8d6d-791ee5c88179.png;" parent="1" vertex="1">
            <mxGeometry x="680" y="153" width="69" height="35" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="215" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/37907799-cf84a726-310e-11e8-9964-057e0297752d.png;" parent="1" vertex="1">
          <mxGeometry x="707" y="1133" width="83" height="43" as="geometry" />
        </mxCell>
        <mxCell id="216" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#59DE9C;strokeWidth=3;fontSize=13;entryX=0.5;entryY=0;startArrow=block;startFill=1;exitX=0.291;exitY=1.021;exitPerimeter=0;" parent="1" source="46" target="215" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="819.4939412610393" y="1020" as="sourcePoint" />
            <mxPoint x="784.2352941176473" y="1136.7058823529414" as="targetPoint" />
          </mxGeometry>
        </mxCell>
        <mxCell id="217" value="&lt;font style=&quot;font-size: 20px&quot;&gt;&lt;b&gt;bcache&lt;/b&gt;&lt;/font&gt;" style="text;html=1;strokeColor=none;fillColor=none;align=center;verticalAlign=middle;whiteSpace=wrap;rounded=0;" parent="1" vertex="1">
          <mxGeometry x="953" y="1150.5" width="40" height="20" as="geometry" />
        </mxCell>
        <mxCell id="220" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#59DE9C;strokeWidth=3;fontSize=13;exitX=1;exitY=0.75;startArrow=block;startFill=1;entryX=0.25;entryY=0;" parent="1" source="34" target="217" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="871" y="952" as="sourcePoint" />
            <mxPoint x="907" y="1130" as="targetPoint" />
            <Array as="points">
              <mxPoint x="880" y="1030" />
            </Array>
          </mxGeometry>
        </mxCell>
        <mxCell id="226" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/47609442-6a8da100-da47-11e8-9918-468e59e8e70f.png;" parent="1" vertex="1">
          <mxGeometry x="858" y="2072" width="142" height="63" as="geometry" />
        </mxCell>
        <mxCell id="228" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/47609535-4206a680-da49-11e8-80bb-793dc9a783dd.png;" parent="1" vertex="1">
          <mxGeometry x="1013.5" y="184" width="98" height="89" as="geometry" />
        </mxCell>
        <UserObject label="" link="https://learn.netdata.cloud/docs/agent/exporting" linkTarget="_blank" id="230">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/47609564-f7d1f500-da49-11e8-936a-6d0ff9329ded.png;" parent="1" vertex="1">
            <mxGeometry x="940" y="361" width="162" height="40" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/backends/prometheus" id="231">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/47609572-2354df80-da4a-11e8-9121-49d3f1a74fce.png;" parent="1" vertex="1">
            <mxGeometry x="959" y="476" width="274" height="52" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/awssns" id="232">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/47609620-26040480-da4b-11e8-8ac3-c1b6a209619f.png;" parent="1" vertex="1">
            <mxGeometry x="510" y="120" width="140" height="56" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="https://github.com/netdata/netdata/tree/master/health/notifications/rocketchat" id="233">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=#ffffff;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://user-images.githubusercontent.com/2662304/47609674-ec7fc900-da4b-11e8-84cd-ff47fe586f84.png;" parent="1" vertex="1">
            <mxGeometry x="422" y="143" width="77" height="77" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="" link="http://netdata.cloud/" linkTarget="_blank" id="6wNVMjbWM3VSl3cxvCD3-265">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=default;verticalAlign=top;aspect=fixed;imageAspect=0;image=data:image/png,[encoded data, 17692 characters];" parent="1" vertex="1">
            <mxGeometry x="4" y="9" width="359" height="72.84" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="app.netdata.cloud" link="https://app.netdata.cloud/spaces/netdata-demo/rooms/all-nodes/overview" linkTarget="_blank" id="6wNVMjbWM3VSl3cxvCD3-270">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=default;verticalAlign=top;aspect=fixed;imageAspect=0;image=data:image/png,[encoded data, 160572 characters];" parent="1" vertex="1">
            <mxGeometry x="20.75" y="90" width="355.33" height="200" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;span style=&quot;font-size: 16px&quot;&gt;&lt;b&gt;dashboard.js&lt;/b&gt;&lt;/span&gt;&lt;div&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;real-time netdata charts&lt;/font&gt;&lt;/div&gt;&lt;div&gt;&lt;font style=&quot;font-size: 14px&quot;&gt;on any web page&lt;/font&gt;&lt;/div&gt;" id="6wNVMjbWM3VSl3cxvCD3-271">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="75" y="470" width="249" height="74" as="geometry" />
          </mxCell>
        </UserObject>
        <UserObject label="&lt;b&gt;&lt;font style=&quot;font-size: 20px&quot;&gt;Query Engine&lt;/font&gt;&lt;/b&gt;&lt;br&gt;Data reduction &amp;amp; re-sampling&lt;br&gt;" link="https://learn.netdata.cloud/docs/agent/web/api/queries" linkTarget="_blank" id="6wNVMjbWM3VSl3cxvCD3-272">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="254" y="607" width="196" height="70" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-273" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="100" y="446" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-274" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="229" y="446" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="178" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="159" y="534" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-291" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.jumpInArrow;dy=15;dx=38;arrowHead=55;strokeColor=none;fillColor=#59DE9C;fontSize=14;flipH=1;direction=east;" parent="1" vertex="1">
          <mxGeometry x="710" y="300" width="100" height="190" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-293" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="512" y="534" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-294" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="357" y="533" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="50" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none" parent="1" vertex="1">
          <mxGeometry x="1131" y="863" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-276" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.jumpInArrow;dy=13;dx=33;arrowHead=58;strokeColor=none;fillColor=#59DE9C;fontSize=14;" parent="1" vertex="1">
          <mxGeometry x="1054" y="597" width="66" height="115" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-277" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=east;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="1014.5" y="709" width="35" height="55" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-281" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="310" y="667" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-284" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="739" y="863" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-285" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="369" y="863" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-286" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="891" y="863" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-287" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="1011" y="863" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-296" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.jumpInArrow;dy=8.5;dx=34;arrowHead=55;strokeColor=none;fillColor=#59DE9C;fontSize=14;flipH=1;direction=north;" parent="1" vertex="1">
          <mxGeometry x="801" y="526" width="50" height="120" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-297" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.jumpInArrow;dy=15;dx=38;arrowHead=55;strokeColor=none;fillColor=#59DE9C;fontSize=14;" parent="1" vertex="1">
          <mxGeometry x="880" y="420" width="90" height="221" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-298" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.jumpInArrow;dy=15;dx=38;arrowHead=55;strokeColor=none;fillColor=#59DE9C;fontSize=14;flipH=1;direction=east;" parent="1" vertex="1">
          <mxGeometry x="710" y="299" width="100" height="190" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-299" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="717" y="583" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-300" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="512" y="533" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-301" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="357" y="532" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-302" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="310" y="583" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-303" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.twoWayArrow;dy=0.52;dx=21.1;strokeColor=none;fillColor=#59DE9C;fontSize=14;direction=south;" parent="1" vertex="1">
          <mxGeometry x="133" y="576" width="60" height="50" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-304" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="159" y="533" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-305" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="229" y="445" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-306" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="100" y="445" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-307" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0.1;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="910" y="666" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-308" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="716" y="666" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-313" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="103" y="1006" width="70" height="120" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-314" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="183" y="1007" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6wNVMjbWM3VSl3cxvCD3-315" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="264" y="1007" width="70" height="120" as="geometry" />
        </mxCell>
        <UserObject label="&lt;div&gt;&lt;b&gt;&lt;font style=&quot;font-size: 20px&quot;&gt;&amp;nbsp; ML Engine&lt;/font&gt;&lt;/b&gt;&lt;/div&gt;&amp;nbsp; &amp;nbsp;Anomaly Detection" link="https://learn.netdata.cloud/docs/agent/ml" linkTarget="_blank" id="6RedLYv8twKyCitmQhae-261">
          <mxCell style="whiteSpace=wrap;html=1;strokeColor=#59DE9C;fillColor=#FFFFFF;fontSize=14;align=center;" parent="1" vertex="1">
            <mxGeometry x="460" y="607" width="180" height="70" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="6RedLYv8twKyCitmQhae-263" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="512" y="666" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6RedLYv8twKyCitmQhae-265" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.52;dx=24;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="618" y="629" width="40" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6RedLYv8twKyCitmQhae-267" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0.1;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="1106" y="772.5" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6RedLYv8twKyCitmQhae-268" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0.1;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="601" y="772.5" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6RedLYv8twKyCitmQhae-270" value="" style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=default;verticalAlign=top;aspect=fixed;imageAspect=0;image=https://raw.githubusercontent.com/netdata/netdata-ui/a17e8628d120ab739d1c98bf21ed6a240d12ba6d/src/components/icon/assets/anomalies_lens.svg;" parent="1" vertex="1">
          <mxGeometry x="466.5" y="626" width="30" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6RedLYv8twKyCitmQhae-272" value="" style="html=1;shadow=0;dashed=0;align=center;verticalAlign=middle;shape=mxgraph.arrows2.arrow;dy=0.51;dx=19.57;direction=north;notch=0;fillColor=#59DE9C;strokeColor=none;" parent="1" vertex="1">
          <mxGeometry x="512" y="583" width="70" height="30" as="geometry" />
        </mxCell>
        <mxCell id="6RedLYv8twKyCitmQhae-273" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#59DE9C;strokeWidth=3;fontSize=13;entryX=0.421;entryY=0.191;startArrow=block;startFill=1;entryPerimeter=0;" parent="1" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="820.5975332688117" y="1010" as="sourcePoint" />
            <mxPoint x="835.1999999999998" y="1148.82" as="targetPoint" />
          </mxGeometry>
        </mxCell>
        <mxCell id="6RedLYv8twKyCitmQhae-274" value="" style="endArrow=none;dashed=1;html=1;dashPattern=1 1;strokeColor=#59DE9C;strokeWidth=3;fontSize=13;entryX=0.5;entryY=0;startArrow=block;startFill=1;" parent="1" edge="1">
          <mxGeometry width="50" height="50" relative="1" as="geometry">
            <mxPoint x="813.31" y="1010" as="sourcePoint" />
            <mxPoint x="799.81" y="1089.5" as="targetPoint" />
          </mxGeometry>
        </mxCell>
        <UserObject label="" link="https://www.netdata.cloud/integrations" linkTarget="_blank" id="gruJ99u_ENbLo-s2ro46-261">
          <mxCell style="shape=image;verticalLabelPosition=bottom;labelBackgroundColor=default;verticalAlign=top;aspect=fixed;imageAspect=0;image=data:image/png,[encoded data, 304104 characters];" parent="1" vertex="1">
            <mxGeometry x="113" y="1334" width="1078.5" height="409.95" as="geometry" />
          </mxCell>
        </UserObject>
        <mxCell id="gruJ99u_ENbLo-s2ro46-262" value="&lt;span style=&quot;font-size: 19px;&quot;&gt;Hundreds of pre-built integrations&lt;/span&gt;" style="text;html=1;resizable=0;points=[];autosize=1;align=center;verticalAlign=top;spacingTop=-4;fontSize=19;" parent="1" vertex="1">
          <mxGeometry x="116" y="1304" width="291" height="23" as="geometry" />
        </mxCell>
      </root>
    </mxGraphModel>
  </diagram>
</mxfile>
